WeBid Bug Tracking

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000446WeBidAuctionspublic2013-07-18 11:492017-01-14 19:29
Reporteritze 
Assigned Torenlok 
PrioritynoneSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.1.0 
Target Version1.2.1Fixed in Version1.2.2 
Summary0000446: (Ver 1.1.0) When setting up an auction and the user submits it and then decides to make changes to it, the fees may be calculate
DescriptionI found that there is an error in sell.php when you have to pay for highlighting features. After submitting an auction a seller may want to make changes to the auction. Therefore, on the conformation page (where he has to enter his password), he may click on 'make changes' link.

There he may deselect a highlighting feauture. The fee amount will be correctly displayed benath because it is calculated in a java script block in sell.tpl. But when the user submits his auction again (to get to the confirmation page) the fee for the unselcted feautre will be there again. I looked into sell.php. It seems to me that when a seller wants to edit the auction (case 3) there is no code that assigns a new value to the fees. Is that correct? I also set a fee for the 'buy now' option. It is updated the code block for case 3 in line 4 and therefore the fee for it is updated when the option is deselcted by the seller. Beneath is the code of case 3 in sell.php (but I don't know whether this all code where an update for the fee is made. I can read php a little bit, but I'm stuck with this problem):



case 3: // confirm auction
        $noerror = true;
        if ($with_reserve == 'no') $reserve_price = 0;
        if ($buy_now == 'no') $buy_now_price = 0;
        // run the word filter
        if ($system->SETTINGS['wordsfilter'] == 'y')
        {
            $title = $system->filter($title);
            $subtitle = $system->filter($subtitle);
            $description = $system->filter($description);
        }
        // check for errors
        if ($ERR == 'ERR_')
        {
            if (count($_SESSION['UPLOADED_PICTURES']) > $system->SETTINGS['maxpictures'])
            {
                $ERR = sprintf($MSG['674'], $system->SETTINGS['maxpictures']);
            }
            $ERR = 'ERR_' . CheckSellData();
            if ($ERR != 'ERR_')
            {
                $_SESSION['action'] = 2;
                $noerror = false;
            }
        }
        if ($noerror)
        {
            // payment methods
            $payment_methods = '';
            $query = "SELECT * FROM " . $DBPrefix . "gateways";
            $res = mysql_query($query);
            $system->check_mysql($res, $query, __LINE__, __FILE__);
            $gateways_data = mysql_fetch_assoc($res);
            $gateway_list = explode(',', $gateways_data['gateways']);
            foreach ($gateway_list as $v)
            {
                $v = strtolower($v);
                if ($gateways_data[$v . '_active'] == 1 && _in_array($v, $payment))
                {
                    $payment_methods .= '

' . $system->SETTINGS['gatways'][$v] . '

';
                }
            }

            $payment_options = unserialize($system->SETTINGS['payment_options']);
            foreach ($payment_options as $k => $v)
            {
                if (_in_array($k, $payment))
                {
                    $payment_methods .= '

' . $v . '

';
                }
            }

            // category name
            $category_string1 = get_category_string($sellcat1);
            $category_string2 = get_category_string($sellcat2);

            $query = "SELECT description FROM " . $DBPrefix . "durations WHERE days = " . $duration;
            $res = mysql_query($query);
            $system->check_mysql($res, $query, __LINE__, __FILE__);
            // built gallery
            if ($system->SETTINGS['picturesgallery'] == 1 && isset($_SESSION['UPLOADED_PICTURES']) && count($_SESSION['UPLOADED_PICTURES']) > 0)
            {
                foreach ($_SESSION['UPLOADED_PICTURES'] as $k => $v)
                {
                    $template->assign_block_vars('gallery', array(
                            'K' => $k,
                            'IMAGE' => $uploaded_path . session_id() . '/' . $v
                            ));
                }
            }

            $iquantity = ($atype == 2 || $buy_now_only == 'y') ? $iquantity : 1;

            if (!(strpos($a_starts, '-') === false))
            {
                $a_starts = _gmmktime(substr($a_starts, 11, 2),
                    substr($a_starts, 14, 2),
                    substr($a_starts, 17, 2),
                    substr($a_starts, 0, 2),
                    substr($a_starts, 3, 2),
                    substr($a_starts, 6, 4), 0);
            }

            $shippingtext = '';
            if ($shipping == 1)
                $shippingtext = $MSG['033'];
            elseif ($shipping == 2)
                $shippingtext = $MSG['032'];
            elseif ($shipping == 3)
                $shippingtext = $MSG['867'];

            $template->assign_vars(array(
                    'TITLE' => $title,
                    'SUBTITLE' => $subtitle,
                    'ERROR' => ($ERR == 'ERR_') ? '' : $$ERR,
                    'PAGE' => 2,
                    'MINTEXT' => ($atype == 2) ? $MSG['038'] : $MSG['020'],

                    'AUC_DESCRIPTION' => stripslashes($description),
                    'PIC_URL' => (empty($pict_url)) ? $MSG['114'] : '<img src="' . $uploaded_path . session_id() . '/' . $pict_url . '" style="max-width:100%; max-height:100%;">',
                    'MIN_BID' => $system->print_money($minimum_bid, false),
                    'RESERVE' => $system->print_money($reserve_price, false),
                    'BN_PRICE' => $system->print_money($buy_now_price, false),
                    'SHIPPING_COST' => $system->print_money($shipping_cost, false),
                    'ADDITIONAL_SHIPPING_COST' => $system->print_money($additional_shipping_cost, false),
                    'STARTDATE' => (empty($start_now)) ? FormatDate($a_starts) : FormatDate($system->ctime),
                    'DURATION' => mysql_result($res, 0, 'description'),
                    'INCREMENTS' => ($increments == 1) ? $MSG['614'] : $system->print_money($customincrement, false),
                    'ATYPE' => $system->SETTINGS['auction_types'][$atype],
                    'ATYPE_PLAIN' => $atype,
                    'SHIPPING' => $shippingtext,
                    'INTERNATIONAL' => ($international) ? $MSG['033'] : $MSG['043'],
                    'SHIPPING_TERMS' => nl2br(stripslashes($shipping_terms)),
                    'PAYMENTS_METHODS' => $payment_methods,
                    'CAT_LIST1' => $category_string1,
                    'CAT_LIST2' => $category_string2,
                    'FEE' => number_format(get_fee($minimum_bid), $system->SETTINGS['moneydecimals']),

                    'B_USERAUTH' => ($system->SETTINGS['usersauth'] == 'y'),
                    'B_BN_ONLY' => (!($system->SETTINGS['buy_now'] == 2 && $buy_now_only == 'y')),
                    'B_BN' => ($system->SETTINGS['buy_now'] == 2),
                    'B_GALLERY' => ($system->SETTINGS['picturesgallery'] == 1 && isset($_SESSION['UPLOADED_PICTURES']) && count($_SESSION['UPLOADED_PICTURES']) > 0),
                    'B_CUSINC' => ($system->SETTINGS['cust_increment'] == 1),
                    'B_FEES' => ($system->SETTINGS['fees'] == 'y'),
                    'B_SUBTITLE' => ($system->SETTINGS['subtitle'] == 'y')
                    ));
            break;
        }


Thank you all in advance! And thanks to the programmers as well as the community for giving support and spending time on this project. I like WeBid very much.

I would like to encourage all users to submit their solutions for any problem to this forum! Thank you!
TagsNo tags attached.
import_id448
Thread
Attached Files

- Relationships
has duplicate 0000613closedrenlok Fee's charged everytime listing is edited 

-  Notes
(0001128)
itze (reporter)
2013-07-21 17:58
edited on: 1970-01-01 00:00

Is anyone else experiencing this problem or am I the only one?
(0001130)
itze (reporter)
2013-07-22 14:02
edited on: 1970-01-01 00:00

itze wrote

Is anyone else experiencing this problem or am I the only one?

Anyone?
(0001131)
pani100 (reporter)
2013-07-22 14:23
edited on: 1970-01-01 00:00

Hi itze, yes i have found this too. If you keep changing pages going back and forth in sell pages the values are not changing correctly. It will need a bit or researching to see what is at fault as these pages are a little bit complicated. Maybe someone can work out the cause before I have time to get near sell.php.
(0001154)
nay27uk (reporter)
2013-09-01 14:30
edited on: 1970-01-01 00:00

Thanks for this I have not yet come across this problem but it is added to my faves for future reference
(0001159)
Susan Skinner (viewer)
2013-09-21 18:10
edited on: 1970-01-01 00:00

I'm having this issue too. It also affects listings created using the Sell Similar link. I'm having trouble with Highlight, Bold, and Featured listing fees. I'm not sure if shipping fees is related to this or not, but I'm also seeing that shipping fees are showing as 0.00 in several places including when the winning bidder goes to pay for the auction through PayPal.
(0001171)
frans (viewer)
2013-11-04 20:07
edited on: 1970-01-01 00:00

itze wrote

Anyone?

itze wrote

Is anyone else experiencing this problem or am I the only one?



1.1.0
Hello there.
Yes, I also have that problem.

I have different fees p. ex. 1,00 - 99,00 = 5,00
                                      100,00 - 199,00 = 7,00
                                      200,00 - 499,00 = 10,00
When I put the price 200,00 in 'starting price' it looks ok, after 'submit auction' I see the correct price. Going back to make changes and again 'submit auction' the price has gone down to 5,00

I also have seen it going from 10,00 to 15,00

Succes with your auction sites and Webid.

Frans
(0001172)
walcott (viewer)
2013-11-27 15:58
edited on: 2013-11-28 21:13

frans wrote

1.1.0
Hello there.
Yes, I also have that problem.

I have different fees p. ex. 1,00 - 99,00 = 5,00
                                      100,00 - 199,00 = 7,00
                                      200,00 - 499,00 = 10,00
When I put the price 200,00 in 'starting price' it looks ok, after 'submit auction' I see the correct price. Going back to make changes and again 'submit auction' the price has gone down to 5,00

I also have seen it going from 10,00 to 15,00

Succes with your auction sites and Webid.

Frans


My problem is similar but not quite the same but I think part of the same issue. This concerns the edit page when a user wants to add a feature not previously selected - below explains:

1. This is the image of the selections for the original listing of Borage. You will note that that charges have been made for 3 x auto re-listings (3 x 0.10p = 0.30p) plus ‘Make featured’ (0.15p) plus ‘Bold’ (0.05p) – Total fee for listing with selected payable options is 50p. This invoices correctly. (Attachment page 1)
 

2. This is how the editing listing page should appear if a user decides to edit their listing. Note that the options ticked and charged for when completing the original listing still remain ticked which shows the user these have already been selected and charged but the ‘Fees Amount’ box should be 0.00 not showing the original fees charged as that has been completed and they will not be charged again. (Attachment page 2)
 

3. This image shows what currently happens when an additional chargeable option is selected, in this case the user has selected ‘Make Highlighted’ (0.10p charge) when editing which had not been selected at time of original listing. Because the original fee is still displayed it increases the amount to be paid to 0.60p. However no amount is invoiced (quite correctly 50p of this should not be charged and was a partial fix I had already done) although a charge of 10p should be shown in the Fees Charges box and an invoice of 0.10p should have been generated. (Attachment page 3)
 

4. This is what should be shown when an additional chargeable option is selected and when revised item is listed the 0.10p should generate an invoice. This process should operate with any chargeable item that is selected when editing an item listing after original listing. (Attachment page 4)

This is a major concern. Does anyone have a fix for this aspect of the issue or experienced similar?
Sorry images will not upload DB error message.

- Issue History
Date Modified Username Field Change
2015-04-01 13:17 renlok New Issue
2015-04-01 13:17 renlok import_id => 448
2015-04-01 13:17 renlok Date Submitted 2015-04-01 13:17 => 2013-07-18 11:49
2015-04-01 13:17 renlok Last Update 2015-04-01 13:17 => 2013-11-27 15:58
2016-04-24 14:16 renlok Target Version => 1.2.0
2016-07-19 08:12 renlok Priority @0@ => none
2016-07-19 08:12 renlok Target Version 1.2.0 => 1.2.1
2016-07-19 08:12 renlok Description Updated View Revisions
2017-01-13 15:07 renlok Relationship added has duplicate 0000613
2017-01-13 15:08 renlok Description Updated View Revisions
2017-01-13 15:11 renlok Description Updated View Revisions
2017-01-14 19:29 renlok Status new => closed
2017-01-14 19:29 renlok Assigned To => renlok
2017-01-14 19:29 renlok Resolution open => fixed
2017-01-14 19:29 renlok Fixed in Version => 1.2.2


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker